/***********************************************************
MISIZI MARSHLAND PROJECT PERFORMANCE EVALUATION 2022
************************************************************
LOGFRAME INDICATORS ANALYSIS
************************************************************
Created by: Towfique Aziz, Sr. Advisor for M&E and Research
			towfique@tangointernational.com
			May 17, 2022
************************************************************/
************************************************************

cd "C:\Users\towfi\Dropbox (Tango International)\2021_UNHCR_IKEA_Rwanda\Quantitative\Data analysis"

use "Misizi_PE_11May2022_edited_working.dta", clear

tabulate ability_loc_hh sample_type

tabulate consent sample_type

tabulate block_village ability_loc_hh  if sample_type==1
tabulate block_village ability_loc_hh  if sample_type==2

tabulate block_village consent  if sample_type==1
tabulate block_village consent  if sample_type==2

gen weight=.
replace weight=0.458715596330275 if block_village==1
replace weight=0.573394495412844 if block_village==2
replace weight=0.764525993883792 if block_village==3
replace weight=0.573394495412844 if block_village==4
replace weight=0.509683995922528 if block_village==5
replace weight=0.509683995922528 if block_village==6
replace weight=0.509683995922528 if block_village==7
replace weight=0.573394495412844 if block_village==8
replace weight=0.509683995922528 if block_village==9
replace weight=0.573394495412844 if block_village==10
replace weight=0.509683995922528 if block_village==11
replace weight=0.458715596330275 if block_village==12
replace weight=0.458715596330275 if block_village==13
replace weight=0.573394495412844 if block_village==14
replace weight=0.509683995922528 if block_village==15
replace weight=0.509683995922528 if block_village==16
replace weight=0.655307994757536 if block_village==17
replace weight=0.509683995922528 if block_village==18
replace weight=0.509683995922528 if block_village==19
replace weight=0.573394495412844 if block_village==20
replace weight=1.92660550458716 if block_village==21
replace weight=1.92660550458716 if block_village==22
replace weight=1.54128440366972 if block_village==23
replace weight=1.71253822629969 if block_village==24
replace weight=1.54128440366972 if block_village==25
replace weight=1.54128440366972 if block_village==26
replace weight=1.54128440366972 if block_village==27
replace weight=1.71253822629969 if block_village==28
replace weight=1.71253822629969 if block_village==29
replace weight=1.86822351959967 if block_village==30
replace weight=1.71253822629969 if block_village==31
replace weight=1.71253822629969 if block_village==32
replace weight=2.20183486238532 if block_village==33

svyset block_village [pw=weight], strata(sample_type)

gen response=0 
replace response=1 if ability_loc_hh==1 & consent==1   

**LOGFRAME INDICATORS:

/* 
1. % of targeted PoC who self-report (increased) income compared to previous season 
	  (narrative will specify the extent of the increase based on what PoCs self-report)
	  
	  [Here, we aim to capture the extent to which PoC self-report an increase in their 
	  purchasing power that they attribute to income generated in the course of the project.]
	  
	  BL=N/A  TARGET: Year1 =100 Year 2 =100 Year 3 =100
*/
	  
*% of households reported with increased income over the period of last three years
	  
gen inc_3y_status1=0 if response==1
recode inc_3y_status1 (0=1) if C107==1	  

gen inc_3y_status2=0 if response==1
recode inc_3y_status2 (0=1) if C107==2	 

gen inc_3y_status3=0 if response==1
recode inc_3y_status3 (0=1) if C107==3	 

svy: mean inc_3y_status1 inc_3y_status2 inc_3y_status3, over(sample_type)
lincom [inc_3y_status1]Refugee - [inc_3y_status1]_subpop_2
lincom [inc_3y_status2]Refugee - [inc_3y_status2]_subpop_2
lincom [inc_3y_status3]Refugee - [inc_3y_status3]_subpop_2

svy: mean inc_3y_status1 inc_3y_status2 inc_3y_status3


gen C109r=C109
recode C109r (150=50) (200=100)

forvalues i=1/5{
gen C109r_cat`i'=0 if C109r~=.
}

recode C109r_cat1 (0=1) if C109r>=0 & C109r<20
recode C109r_cat2 (0=1) if C109r>=20 & C109r<40
recode C109r_cat3 (0=1) if C109r>=40 & C109r<60
recode C109r_cat4 (0=1) if C109r>=60 & C109r<80
recode C109r_cat5 (0=1) if C109r>=80

forvalues i=1/5{ 
svy: mean C109r_cat`i', over(sample_type)
lincom [C109r_cat`i']Refugee - [C109r_cat`i']_subpop_2
}


forvalues i=1/5{ 
svy: mean C109r_cat`i'
}

svy: mean C109r_cat1 C109r_cat2 C109r_cat3 C109r_cat4 C109r_cat5

tabulate inc_3y_status1 sample_type


svy: mean C109r_cat1 C109r_cat2 C109r_cat3 C109r_cat4 C109r_cat5, over(sample_type)
lincom [C109r_cat1]Refugee - [C109r_cat1]_subpop_2
lincom [C109r_cat2]Refugee - [C109r_cat2]_subpop_2
lincom [C109r_cat3]Refugee - [C109r_cat3]_subpop_2
lincom [C109r_cat4]Refugee - [C109r_cat4]_subpop_2
lincom [C109r_cat5]Refugee - [C109r_cat5]_subpop_2

svy: mean C109r_cat1 C109r_cat2 C109r_cat3 C109r_cat4 C109r_cat5, over(sample_type)
lincom [C109r_cat1]Refugee - [C109r_cat1]_subpop_2
lincom [C109r_cat2]Refugee - [C109r_cat2]_subpop_2
lincom [C109r_cat3]Refugee - [C109r_cat3]_subpop_2
lincom [C109r_cat4]Refugee - [C109r_cat4]_subpop_2
lincom [C109r_cat5]Refugee - [C109r_cat5]_subpop_2



gen inc_lsts_status1=0 if response==1
recode inc_lsts_status1 (0=1) if C112==1	

gen inc_lsts_status2=0 if response==1
recode inc_lsts_status2 (0=1) if C112==2

gen inc_lsts_status3=0 if response==1
recode inc_lsts_status3 (0=1) if C112==3	

svy: mean inc_lsts_status1 inc_lsts_status2 inc_lsts_status3, over(sample_type)
lincom [inc_lsts_status1]Refugee - [inc_lsts_status1]_subpop_2
lincom [inc_lsts_status2]Refugee - [inc_lsts_status2]_subpop_2
lincom [inc_lsts_status3]Refugee - [inc_lsts_status3]_subpop_2

svy: mean inc_lsts_status1 inc_lsts_status2 inc_lsts_status3

tabulate inc_lsts_status1 sample_type

tab C113

gen C113r=C113
recode C113r (150=50) (200=100)

forvalues i=1/5{
gen C113r_cat`i'=0 if C113r~=.
}

recode C113r_cat1 (0=1) if C113r>=0 & C113r<20
recode C113r_cat2 (0=1) if C113r>=20 & C113r<40
recode C113r_cat3 (0=1) if C113r>=40 & C113r<60
recode C113r_cat4 (0=1) if C113r>=60 & C113r<80
recode C113r_cat5 (0=1) if C113r>=80

forvalues i=1/5{ 
svy: mean C113r_cat`i', over(sample_type)
lincom [C113r_cat`i']Refugee - [C113r_cat`i']_subpop_2
}

forvalues i=1/5{ 
svy: mean C113r_cat`i'
}


*C. Average monthly houehold income: Past 12 months (May 2021 to April2022)

tab C105

**out of 351 there are 138 cases with monthly average income reported 0 (n=137) or 8 (n=1).
**It seems income is extremly under reported in this case. 
**also 50% reported average income below 1,600 RWF
** income 0 or 8 has been replaced by median income

centile C105 // Median income: 2000 RWF

gen incm_past12_rwf=C105
recode incm_past12_rwf (0/8=2000)

svy: mean incm_past12_rwf, over(sample_type)
lincom [incm_past12_rwf]Refugee - [incm_past12_rwf]_subpop_2

svy: mean incm_past12_rwf

*1 USD = 1001.618 RWF (Average May 2021 to April 2022)

gen incm_past12_usd=incm_past12_rwf/1001.618

svy: mean incm_past12_usd, over(sample_type)
lincom [incm_past12_usd]Refugee - [incm_past12_usd]_subpop_2

svy: mean incm_past12_usd

tab C106 // 96 HHs reported 0 income which are replaced by median income

centile C106 // median income 7000

gen incm_bCVD19_rwf=C106
recode incm_bCVD19_rwf (0=7000)

svy: mean incm_bCVD19_rwf, over(sample_type)
lincom [incm_bCVD19_rwf]Refugee - [incm_bCVD19_rwf]_subpop_2

svy: mean incm_bCVD19_rwf

*1 USD = 1001.618 RWF (Average May 2021 to April 2022)

gen incm_bCVD19_rwf_usd=incm_bCVD19_rwf/1001.618

svy: mean incm_bCVD19_rwf_usd, over(sample_type)
lincom [incm_bCVD19_rwf_usd]Refugee - [incm_bCVD19_rwf_usd]_subpop_2

svy: mean incm_bCVD19_rwf_usd


**D. Compared to before COVID-19

tab C114


gen inc_covid_status1=0 if response==1
recode inc_covid_status1 (0=1) if C114==1	  

gen inc_covid_status2=0 if response==1
recode inc_covid_status2 (0=1) if C114==2	 

gen inc_covid_status3=0 if response==1
recode inc_covid_status3 (0=1) if C114==3	

svy: mean inc_covid_status1 inc_covid_status2 inc_covid_status3, over(sample_type)
lincom [inc_covid_status1]Refugee - [inc_covid_status1]_subpop_2
lincom [inc_covid_status2]Refugee - [inc_covid_status2]_subpop_2
lincom [inc_covid_status3]Refugee - [inc_covid_status3]_subpop_2

svy: mean inc_covid_status1 inc_covid_status2 inc_covid_status3


	  
/*	  
2.% of cooperatives' agricultural production sold to specialised post-processing service companies 

	[There are companies in Rwanda (to which farmers can supply their harvest) that are specialized 
	in the post processing services. Usually, a middle man facilitates the sale between the farmers 
	in the company. We aim to measure how much of the cooperatives' yields are sold via these formal 
	channels (as opposed to what is reserved for personal consumption or the informal market); we 
	want to see a yearly increase in yield sold through formal channels.]

		BL=0  TARGET: Year1 =40 Year2 =45 Year3 =50]
*/

forvalues i=1/10{
gen D111r_`i'=D111_`i'
}

forvalues i=1/10{
recode D111r_`i' (99=10)
}

forvalues i=1/10{
gen value_chain`i'=0 if D104==1
}

forvalues i=1/10{
recode value_chain`i' (0=1) if (D111r_1==`i' | D111r_2==`i' | D111r_3==`i' | D111r_4==`i' | D111r_5==`i' | D111r_6==`i' | /// 
                                D111r_7==`i' | D111r_8==`i' | D111r_9==`i' | D111r_10==`i')
}

gen sold_post_prcess_comp=0 if D104==1
recode sold_post_prcess_comp (0=1) if (value_chain1==1 | value_chain2==1) 

svy: mean sold_post_prcess_comp, over(sample_type)
lincom [sold_post_prcess_comp]Refugee - [sold_post_prcess_comp]_subpop_2

svy: mean sold_post_prcess_comp

tabulate D104 sample_type


gen sold_seasonA=0 if (D105A1_1~=. & D105A1_1~=9)
recode sold_seasonA (0=1) if (D105A5A_1>0 & D105A5A_1~=.) | (D105A5A_2>0 & D105A5A_2~=.) | (D105A5A_3>0 & D105A5A_3~=.) | ///
							 (D105A5B_1>0 & D105A5B_1~=.) | (D105A5B_2>0 & D105A5B_2~=.) | (D105A5B_3>0 & D105A5B_3~=.) | ///
							 (D105A5C_1>0 & D105A5C_1~=.) | (D105A5C_2>0 & D105A5C_2~=.) | (D105A5C_3>0 & D105A5C_3~=.)
							 
gen sold_seasonB=0 if (D105B1_1~=. & D105B1_1~=9)
recode sold_seasonB (0=1) if (D105B5A_1>0 & D105B5A_1~=.) | (D105B5A_2>0 & D105B5A_2~=.) | (D105B5A_3>0 & D105B5A_3~=.) | ///
							 (D105B5B_1>0 & D105B5B_1~=.) | (D105B5B_2>0 & D105B5B_2~=.) | (D105B5B_3>0 & D105B5B_3~=.) | ///
							 (D105B5C_1>0 & D105B5C_1~=.) | (D105B5C_2>0 & D105B5C_2~=.) | (D105B5C_3>0 & D105B5C_3~=.)
							 
gen sold_seasonAa=0 if (D105Aa1_1~=. & D105Aa1_1~=9)
recode sold_seasonAa (0=1) if (D105Aa5A_1>0 & D105Aa5A_1~=.) | (D105Aa5A_2>0 & D105Aa5A_2~=.) | (D105Aa5A_3>0 & D105Aa5A_3~=.) | ///
							 (D105Aa5B_1>0 & D105Aa5B_1~=.) | (D105Aa5B_2>0 & D105Aa5B_2~=.) | (D105Aa5B_3>0 & D105Aa5B_3~=.) | ///
							 (D105Aa5C_1>0 & D105Aa5C_1~=.) | (D105Aa5C_2>0 & D105Aa5C_2~=.) | (D105Aa5C_3>0 & D105Aa5C_3~=.)

svy: mean sold_seasonA, over(sample_type)
lincom [sold_seasonA]Refugee - [sold_seasonA]_subpop_2
svy: mean sold_seasonA

svy: mean sold_seasonB, over(sample_type)
lincom [sold_seasonB]Refugee - [sold_seasonB]_subpop_2
svy: mean sold_seasonB

svy: mean sold_seasonAa, over(sample_type)
lincom [sold_seasonAa]Refugee - [sold_seasonAa]_subpop_2
svy: mean sold_seasonAa

tabulate sold_seasonA sample_type
tabulate sold_seasonB sample_type
tabulate sold_seasonAa sample_type



/*
3. % of cooperatives able to reinvest income into agricultural activities for following season's production

	[By measuring the percentage of cooperatives able to generate plowback capital of the  
	 i.e. how many are able to reinvest into their agricultural production, we will be able 
	 to gauge the degree to which their activities are self-sustainable. The continued participation 
	 of PoC alongside Rwandan nationals in these cooperatives will be an indication of peaceful 
	 coexistence, a central concern of UNHCR's CRRF]
		
		BL=0  TARGET: Year1 =100 Year2 =100 Year3 =100]	 
*/


sold_seasonA sold_seasonB sold_seasonAa

tab1 D107_*

forvalues i=1/8{
gen use_incm_sell_agri`i'=0 if (sold_seasonA==1 | sold_seasonB==1 | sold_seasonAa==1)
}

forvalues i=1/8{
recode use_incm_sell_agri`i' (0=1) if  D107_1==`i' | D107_2==`i' | D107_3==`i' | D107_4==`i' | D107_5==`i' | D107_6==`i' | D107_7==`i' | D107_8==`i'
}

tabulate use_incm_sell_agri1 sample_type

svy: mean use_incm_sell_agri1, over(sample_type)
lincom [use_incm_sell_agri1]Refugee - [use_incm_sell_agri1]_subpop_2
svy: mean use_incm_sell_agri1


codebook E103


forvalues i=1/7{
gen use_incm_sell_lvstk`i'=0 if E103==1
}

forvalues i=1/7{
recode use_incm_sell_lvstk`i' (0=1) if  E104_1==`i' | E104_2==`i' | E104_3==`i' | E104_4==`i' | E104_5==`i' | E104_6==`i' | E104_7==`i'
}

svy: mean use_incm_sell_lvstk1, over(sample_type)
lincom [use_incm_sell_lvstk1]Refugee - [use_incm_sell_lvstk1]_subpop_2
svy: mean use_incm_sell_lvstk1

tabulate use_incm_sell_lvstk1 sample_type

gen use_incm_sell_reinvest=0 if use_incm_sell_agri1~=. | use_incm_sell_lvstk1~=.
recode use_incm_sell_reinvest (0=1) if use_incm_sell_agri1==1 | use_incm_sell_lvstk1==1


svy: mean use_incm_sell_reinvest, over(sample_type)
lincom [use_incm_sell_reinvest]Refugee - [use_incm_sell_reinvest]_subpop_2
svy: mean use_incm_sell_reinvest

tabulate use_incm_sell_reinvest sample_type




/*
4. Land productivity (yield in kg/hectare) per self-employed PoC (last season)

	[This measures the agricultural production achieved by PoC which, combined 
	with access to markets, is a good proxy indicator to capture the viability/sustainability 
	of the agricultural project as driver of self-reliance.]

		BL=N/A  TARGET: Year1 	6,000 kg maize / ha
								1,500 kg beans / ha
								2,500 kg soybeans / ha
								7,500 kg cabbage / ha
								6,000 kg tomatoes' / ha
								1,500 kg onions / ha
*/	 

*land: 1 hectare= 100 Ares 
*Weight: 1 bag/sack = 50kg
*		 1 bowl = 1.5kg

/*
D103
1	A.Own household land
2	B.Government allocation
3	C.Jointly by UNHCR/Misizi and local authority
4	D.Other NGOs/projects
5	E.Borrowed
6	F.Leased 
7	G.Given by a friend/relative 
8	H.Given by host-community 
9	I.Others (specify)
99	J.Don’t know
88	K.Refused

D104

Yes=1
No=2


*/

*Currently produce in Misizi supported land

forvalues i=1/11{
gen D103r_`i'=D103_`i'
}

forvalues i=1/11{
recode D103r_`i' (99=10) (88=11)
}

forvalues i=1/11{
gen land_support`i'=0 if D101==1
}

forvalues i=1/11{
recode land_support`i' (0=1) if D103r_1==`i' | D103r_2==`i' | D103r_3==`i' | D103r_4==`i' | D103r_5==`i' | D103r_6==`i' ///
								 | D103r_7==`i' | D103r_8==`i' | D103r_9==`i' | D103r_10==`i' | D103r_11==`i'
}

gen curr_prod_misizi=0 if D101==1
recode curr_prod_misizi (0=1) if D104==1 & land_support3==1

tab curr_prod_misizi


*SEASON-A (2020/2021)

*Maize:
*********
**Produce maize in Season-A (2020/2021)

tab1 D103_*

tab1 D105A1_*

gen maize_SnA=0 if curr_prod_misizi==1
recode maize_SnA (0=1) if D105A1_1==1 | D105A1_2==1 | D105A1_3==1 | D105A1_4==1  

*land use for maize: 

gen maize_land_hct_SnA=D105A2A/100

* Maize Production

gen prod_maiz_snA=D105A3A if D105A4A==3
replace prod_maiz_snA=D105A3A*50 if D105A4A==1
replace prod_maiz_snA=D105A3A*1.5 if D105A4A==2

gen maize_yld_SnA=prod_maiz_snA/maize_land_hct_SnA

svy: mean maize_yld_SnA, over(sample_type)
lincom [maize_yld_SnA]Refugee - [maize_yld_SnA]_subpop_2
svy: mean maize_yld_SnA

tabulate maize_SnA sample_type

total prod_maiz_snA
total maize_land_hct_SnA

*Beans:
*********
**Produce beans in Season-A (2020/2021)

tab1 D103_*

tab1 D105A1_*

gen bean_SnA=0 if curr_prod_misizi==1
recode bean_SnA (0=1) if D105A1_1==2 | D105A1_2==2 | D105A1_3==2 | D105A1_4==2  

tab bean_SnA
  
*land use for bean: 

gen bean_land_hct_SnA=D105A2B/100

* Bean Production

gen prod_bean_snA=D105A3B if D105A4B==3
replace prod_bean_snA=D105A3B*50 if D105A4B==1
replace prod_bean_snA=D105A3B*1.5 if D105A4B==2

gen bean_yld_SnA=prod_bean_snA/bean_land_hct_SnA

svy: mean bean_yld_SnA, over(sample_type)
lincom [bean_yld_SnA]Refugee - [bean_yld_SnA]_subpop_2
svy: mean bean_yld_SnA

tabulate bean_yld_SnA sample_type


*Soybeans:
*********

*land use for bean: 

gen sbean_land_hct_SnA=D105A2C/100




**Produce soybeans in Season-A (2020/2021)

gen sbean_SnA=0 if curr_prod_misizi==1
recode sbean_SnA (0=1) if D105A1_1==3 | D105A1_2==3 | D105A1_3==3 | D105A1_4==3  

tab sbean_SnA

gen prod_sbean_snA=D105A3C if D105A4C==3
replace prod_sbean_snA=D105A3C*50 if D105A4C==1
replace prod_sbean_snA=D105A3C*1.5 if D105A4C==2

gen sbean_yld_SnA=prod_sbean_snA/sbean_land_hct_SnA

svy: mean sbean_yld_SnA, over(sample_type)
lincom [sbean_yld_SnA]Refugee - [sbean_yld_SnA]_subpop_2
svy: mean sbean_yld_SnA

tabulate sbean_SnA sample_type


*SEASON-B (2021)

gen maize_SnB=0 if curr_prod_misizi==1
recode maize_SnB (0=1) if D105B1_1==1 | D105B1_2==1 | D105B1_3==1 | D105B1_4==1  

*land use for maize: 

gen maize_land_hct_SnB=D105B2A/100

* Maize Production

gen prod_maiz_snB=D105B3A if D105B4A==3
replace prod_maiz_snB=D105B3A*50 if D105B4A==1
replace prod_maiz_snB=D105B3A*1.5 if D105B4A==2

gen maize_yld_SnB=prod_maiz_snB/maize_land_hct_SnB

svy: mean maize_yld_SnB, over(sample_type)
lincom [maize_yld_SnB]Refugee - [maize_yld_SnB]_subpop_2
svy: mean maize_yld_SnB

tabulate maize_SnB sample_type

*Beans:
*********
**Produce beans in Season-B (2021)

tab1 D103_*

tab1 D105B1_*

gen bean_SnB=0 if curr_prod_misizi==1
recode bean_SnB (0=1) if D105B1_1==2 | D105B1_2==2 | D105B1_3==2 | D105B1_4==2  

tab bean_SnB
  
*land use for bean: 

gen bean_land_hct_SnB=D105B2B/100

* Bean Production

gen prod_bean_snB=D105B3B if D105B4B==3
replace prod_bean_snB=D105B3B*50 if D105B4B==1
replace prod_bean_snB=D105B3B*1.5 if D105B4B==2

tab prod_bean_snB

gen bean_yld_SnB=prod_bean_snB/bean_land_hct_SnB

svy: mean bean_yld_SnB, over(sample_type)
lincom [bean_yld_SnB]Refugee - [bean_yld_SnB]_subpop_2
svy: mean bean_yld_SnB

tabulate bean_yld_SnB sample_type

*Soybeans:
*********

*land use for soybean: 

gen sbean_land_hct_SnB=D105B2C/100



**Produce soybeans in Season-B (2021)

gen sbean_SnB=0 if curr_prod_misizi==1
recode sbean_SnB (0=1) if D105B1_1==3 | D105B1_2==3 | D105B1_3==3 | D105B1_4==3  

tab sbean_SnB

gen prod_sbean_snB=D105B3C if D105B4C==3
replace prod_sbean_snB=D105B3C*50 if D105B4C==1
replace prod_sbean_snB=D105B3C*1.5 if D105B4C==2

gen sbean_yld_SnB=prod_sbean_snB/sbean_land_hct_SnB

svy: mean sbean_yld_SnB, over(sample_type)
lincom [sbean_yld_SnB]Refugee - [sbean_yld_SnB]_subpop_2
svy: mean sbean_yld_SnB

tabulate sbean_SnB sample_type


*SEASON-A (2021/2022)

*Maize:
*********
**Produce maize in Season-A (2021/2022)

tab1 D103_*

tab1 D105Aa1_*

gen maize_SnAa=0 if curr_prod_misizi==1
recode maize_SnAa (0=1) if D105Aa1_1==1 | D105Aa1_2==1 | D105Aa1_3==1 | D105Aa1_4==1  

*land use for maize: 

gen maize_land_hct_SnAa=D105Aa2A/100

* Maize Production

gen prod_maiz_snAa=D105Aa3A if D105Aa4A==3
replace prod_maiz_snAa=D105Aa3A*50 if D105Aa4A==1
replace prod_maiz_snAa=D105Aa3A*1.5 if D105Aa4A==2

gen maize_yld_SnAa=prod_maiz_snAa/maize_land_hct_SnAa

svy: mean maize_yld_SnAa, over(sample_type)
lincom [maize_yld_SnAa]Refugee - [maize_yld_SnAa]_subpop_2
svy: mean maize_yld_SnAa

tabulate maize_SnAa sample_type

*Beans:
*********
**Produce beans in Season-A (2021/2022)

tab1 D103_*

tab1 D105Aa1_*

gen bean_SnAa=0 if curr_prod_misizi==1
recode bean_SnAa (0=1) if D105Aa1_1==2 | D105Aa1_2==2 | D105Aa1_3==2 | D105Aa1_4==2  

tab bean_SnAa
  
*land use for bean: 

gen bean_land_hct_SnAa=D105Aa2B/100

* Bean Production

gen prod_bean_snAa=D105Aa3B if D105Aa4B==3
replace prod_bean_snAa=D105Aa3B*50 if D105Aa4B==1
replace prod_bean_snAa=D105Aa3B*1.5 if D105Aa4B==2

gen bean_yld_SnAa=prod_bean_snAa/bean_land_hct_SnAa

svy: mean bean_yld_SnAa, over(sample_type)
lincom [bean_yld_SnAa]Refugee - [bean_yld_SnAa]_subpop_2
svy: mean bean_yld_SnAa

tabulate bean_SnAa sample_type

*Soybeans:
*********

**Produce soybeans in Season-A (2021/2022)

gen sbean_SnAa=0 if curr_prod_misizi==1
recode sbean_SnAa (0=1) if D105Aa1_1==3 | D105Aa1_2==3 | D105Aa1_3==3 | D105Aa1_4==3  

tab sbean_SnAa

*land use for soybean: 

gen sbean_land_hct_SnAa=D105Aa2C/100

*Soybean produced

gen prod_sbean_snAa=D105Aa3C if D105Aa4C==3
replace prod_sbean_snAa=D105Aa3C*50 if D105Aa4C==1
replace prod_sbean_snAa=D105Aa3C*1.5 if D105Aa4C==2

gen sbean_yld_SnAa=prod_sbean_snAa/sbean_land_hct_SnAa

svy: mean sbean_yld_SnAa, over(sample_type)
lincom [sbean_yld_SnAa]Refugee - [sbean_yld_SnAa]_subpop_2
svy: mean sbean_yld_SnAa

tabulate sbean_SnAa sample_type




